Skip to main content
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
providers
List Provider Connections
curl --request GET \
  --url https://api.example.com/api/v1/calendars/{calendar_id}/providers \
  --header 'Authorization: <authorization>'
{
  "success": true,
  "data": [
    {
      "id": "conn-uuid-1",
      "provider": "calendar_provider_a",
      "external_calendar_id": "primary",
      "is_active": true,
      "last_sync_at": "2024-01-15T17:30:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

List Provider Connections

List external calendar provider connections attached to a calendar. Provider connections sync events with third-party calendar systems.

Endpoint

GET /api/v1/calendars/{calendar_id}/providers

Path Parameters

calendar_id
string
required
Calendar UUID.

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here

Response

{
  "success": true,
  "data": [
    {
      "id": "conn-uuid-1",
      "provider": "calendar_provider_a",
      "external_calendar_id": "primary",
      "is_active": true,
      "last_sync_at": "2024-01-15T17:30:00Z"
    }
  ]
}